Requiring png only exposes the Png() class #38

Open
mildfuzz opened this Issue Oct 4, 2013 · 0 comments

1 participant

@mildfuzz

Node: 0.10.8
NPM: 1.2.23

I want to use this package in a project. I have added it to the package.json

"dependencies": {
"async": "~0.2.9",
"mustache": "~0.7.2",
"underscore": "~1.5.2",
"glob": "~3.2.6",
"optimist": "~0.6.0",
"png-size": "~0.1.0",
"png": "3.0.2"
}

and ran npm install. Then required using var PngLib = require('png');

The problem I am having is that PngLib only contains the Png class.

How can I get access to Fixed and Dynamic classes?

@scottmcginness scottmcginness added a commit to scottmcginness/node-png that referenced this issue Nov 6, 2013
@scottmcginness scottmcginness Fix issue #38 Requiring png only exposes the Png() class ebe59d4
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment